"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Image = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const ImageView = _reactNative.Platform.OS === 'android' ? (0, _reactNative.requireNativeComponent)('ImageView') : null;

const Image = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    style,
    source,
    onLoadStart,
    onLoad,
    onLoadEnd,
    onError,
    onLoadCleared,
    children,
    ...otherProps
  } = props;

  const _onLoadStart = () => !!onLoadStart && onLoadStart();

  const _onError = () => !!onError && onError();

  const _onLoad = event => !!onLoad && onLoad(event);

  const _onLoadEnd = () => !!onLoadEnd && onLoadEnd();

  const _onLoadCleared = () => !!onLoadCleared && onLoadCleared();

  const resolveAssetSource = _reactNative.Image.resolveAssetSource(source);

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    ref: ref,
    style: [styles.imageContainer, style]
  }, /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement(ImageView, _extends({
    style: _reactNative.StyleSheet.absoluteFill,
    source: resolveAssetSource,
    onScaleImageLoadStart: _onLoadStart,
    onScaleImageLoadError: _onError,
    onScaleImageLoad: _onLoad,
    onScaleImageLoadEnd: _onLoadEnd,
    onScaleImageLoadCleared: _onLoadCleared
  }, otherProps)), children));
});

exports.Image = Image;

const styles = _reactNative.StyleSheet.create({
  imageContainer: {
    overflow: 'hidden'
  }
});
//# sourceMappingURL=Image.js.map