"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  SubsamplingScaleImage: true
};
exports.SubsamplingScaleImage = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _Image = require("./Image");

Object.keys(_Image).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _Image[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _Image[key];
    }
  });
});

var _ScaleImage = require("./ScaleImage");

Object.keys(_ScaleImage).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _ScaleImage[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _ScaleImage[key];
    }
  });
});

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _types[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _types[key];
    }
  });
});

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const SubsamplingScaleImageView = _reactNative.Platform.OS === 'android' ? (0, _reactNative.requireNativeComponent)('SubsamplingScaleImageView') : null;

const SubsamplingScaleImage = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    style,
    source,
    onLoadStart,
    onLoad,
    onLoadEnd,
    onError,
    onLoadCleared,
    onScaleChanged,
    onCenterChanged,
    children,
    ...otherProps
  } = props;

  const _onLoadStart = () => !!onLoadStart && onLoadStart();

  const _onError = () => !!onError && onError();

  const _onLoad = event => !!onLoad && onLoad(event);

  const _onLoadEnd = () => !!onLoadEnd && onLoadEnd();

  const _onLoadCleared = () => !!onLoadCleared && onLoadCleared();

  const _onScaleChanged = event => !!onScaleChanged && onScaleChanged(event);

  const _onCenterChanged = event => !!onCenterChanged && onCenterChanged(event);

  const resolveAssetSource = _reactNative.Image.resolveAssetSource(source);

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    ref: ref,
    style: [styles.imageContainer, style]
  }, /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement(SubsamplingScaleImageView, _extends({
    style: _reactNative.StyleSheet.absoluteFill,
    source: resolveAssetSource,
    onSubsamplingScaleImageLoadStart: _onLoadStart,
    onSubsamplingScaleImageLoadError: _onError,
    onSubsamplingScaleImageLoad: _onLoad,
    onSubsamplingScaleImageLoadEnd: _onLoadEnd,
    onSubsamplingScaleImageLoadCleared: _onLoadCleared,
    onSubsamplingScaleImageScaleChanged: _onScaleChanged,
    onSubsamplingScaleImageCenterChanged: _onCenterChanged
  }, otherProps)), children));
});

exports.SubsamplingScaleImage = SubsamplingScaleImage;

const styles = _reactNative.StyleSheet.create({
  imageContainer: {
    overflow: 'hidden'
  }
});
//# sourceMappingURL=index.js.map