function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { Fragment } from 'react';
import { Image as RNImage, Platform, requireNativeComponent, StyleSheet, View } from 'react-native';
const ImageView = Platform.OS === 'android' ? requireNativeComponent('ImageView') : null;
export const Image = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    style,
    source,
    onLoadStart,
    onLoad,
    onLoadEnd,
    onError,
    onLoadCleared,
    children,
    ...otherProps
  } = props;

  const _onLoadStart = () => !!onLoadStart && onLoadStart();

  const _onError = () => !!onError && onError();

  const _onLoad = event => !!onLoad && onLoad(event);

  const _onLoadEnd = () => !!onLoadEnd && onLoadEnd();

  const _onLoadCleared = () => !!onLoadCleared && onLoadCleared();

  const resolveAssetSource = RNImage.resolveAssetSource(source);
  return /*#__PURE__*/React.createElement(View, {
    ref: ref,
    style: [styles.imageContainer, style]
  }, /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement(ImageView, _extends({
    style: StyleSheet.absoluteFill,
    source: resolveAssetSource,
    onScaleImageLoadStart: _onLoadStart,
    onScaleImageLoadError: _onError,
    onScaleImageLoad: _onLoad,
    onScaleImageLoadEnd: _onLoadEnd,
    onScaleImageLoadCleared: _onLoadCleared
  }, otherProps)), children));
});
const styles = StyleSheet.create({
  imageContainer: {
    overflow: 'hidden'
  }
});
//# sourceMappingURL=Image.js.map