function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { Fragment } from 'react';
import { Image, Platform, requireNativeComponent, StyleSheet, View } from 'react-native';
const SubsamplingScaleImageView = Platform.OS === 'android' ? requireNativeComponent('SubsamplingScaleImageView') : null;
export const SubsamplingScaleImage = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    style,
    source,
    onLoadStart,
    onLoad,
    onLoadEnd,
    onError,
    onLoadCleared,
    onScaleChanged,
    onCenterChanged,
    children,
    ...otherProps
  } = props;

  const _onLoadStart = () => !!onLoadStart && onLoadStart();

  const _onError = () => !!onError && onError();

  const _onLoad = event => !!onLoad && onLoad(event);

  const _onLoadEnd = () => !!onLoadEnd && onLoadEnd();

  const _onLoadCleared = () => !!onLoadCleared && onLoadCleared();

  const _onScaleChanged = event => !!onScaleChanged && onScaleChanged(event);

  const _onCenterChanged = event => !!onCenterChanged && onCenterChanged(event);

  const resolveAssetSource = Image.resolveAssetSource(source);
  return /*#__PURE__*/React.createElement(View, {
    ref: ref,
    style: [styles.imageContainer, style]
  }, /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement(SubsamplingScaleImageView, _extends({
    style: StyleSheet.absoluteFill,
    source: resolveAssetSource,
    onSubsamplingScaleImageLoadStart: _onLoadStart,
    onSubsamplingScaleImageLoadError: _onError,
    onSubsamplingScaleImageLoad: _onLoad,
    onSubsamplingScaleImageLoadEnd: _onLoadEnd,
    onSubsamplingScaleImageLoadCleared: _onLoadCleared,
    onSubsamplingScaleImageScaleChanged: _onScaleChanged,
    onSubsamplingScaleImageCenterChanged: _onCenterChanged
  }, otherProps)), children));
});
const styles = StyleSheet.create({
  imageContainer: {
    overflow: 'hidden'
  }
});
export * from './Image';
export * from './ScaleImage';
export * from './types';
//# sourceMappingURL=index.js.map